Bug 75606 - Gcc crashed while compiling a c file.
Summary: Gcc crashed while compiling a c file.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 07:50 UTC by Sreeram
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-16 01:28:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sreeram 2002-10-10 07:50:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
When I tried to compile a c file and creating dependency file it showed this.
<command line>: macro names must be identifiers. gcc: Internal error: 
Segmentation fault (program cpp0)

Version-Release number of selected component (if applicable): 2.96


How reproducible:
Didn't try


Additional info:

Comment 1 Dominic Binks 2002-10-21 15:38:01 UTC
I have reproduced this problem when a define (-D flag) is set to an include i.e.
-D-I/dir1/dir2.

Reproduction:
1. Touch a file file.cpp
2. g++ -MM -D-I/dum/dee file.cpp

get the following or similar 

<command line>: macro names must be identifiers
g++: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.



Comment 2 Alan Cox 2002-12-16 01:28:27 UTC
Tests out ok in 8.0 / g++ 3.2



Note You need to log in before you can comment on or make changes to this bug.